<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "TIBCO BusinessWorks Performance Report.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" encoding="UTF-8" indent="yes" />

	<!-- externalisations -->
	<xsl:variable name="bwPerfReport.title">
		<xsl:text>&bwPerfReport.title;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwPerfReport.desc">
		<xsl:text>&bwPerfReport.desc;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwPerfReport.activity">
		<xsl:text>&bwPerfReport.activity;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwPerfReport.process">
		<xsl:text>&bwPerfReport.process;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwPerfReport.timesCalled">
		<xsl:text>&bwPerfReport.timesCalled;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwPerfReport.minTime">
		<xsl:text>&bwPerfReport.minTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwPerfReport.maxTime">
		<xsl:text>&bwPerfReport.maxTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwPerfReport.avgTime">
		<xsl:text>&bwPerfReport.avgTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwPerfReport.totalTime">
		<xsl:text>&bwPerfReport.totalTime;</xsl:text>
	</xsl:variable>

	<xsl:template match="/">
		<xsl:variable name="y" select="//coverage[1]" />
		<html>
			<head>
				<title>
					<xsl:value-of select="$bwPerfReport.title" />
				</title>
				<link rel="stylesheet" type="text/css" href="resourcestyle.css" />
				<link rel="stylesheet" type="text/css" href="vanilla.css" />
			</head>
			<body>
				<h1>
					<xsl:value-of select="$bwPerfReport.title" />
				</h1>
				<h4>
					<xsl:value-of select="$bwPerfReport.desc" />
				</h4>
				<div>
					<table>
						<thead>
							<tr>
								<th class="left">
									<xsl:value-of select="$bwPerfReport.activity" />
								</th>
								<th class="left">
									<xsl:value-of select="$bwPerfReport.process" />
								</th>
								<th>
									<xsl:value-of select="$bwPerfReport.timesCalled" />
								</th>
								<th>
									<xsl:value-of select="$bwPerfReport.minTime" />
								</th>
								<th>
									<xsl:value-of select="$bwPerfReport.maxTime" />
								</th>
								<th>
									<xsl:value-of select="$bwPerfReport.avgTime" />
								</th>
								<th>
									<xsl:value-of select="$bwPerfReport.totalTime" />
								</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each
								select="$y/processes/process/activities/activity[@frq > 0]">
								<xsl:sort select="@avg" order="descending" data-type="number" />
								<tr>
									<td class="left">
										<xsl:value-of select="@name" />
									</td>
									<td class="left">
										<xsl:value-of select="../../@name" />
									</td>
									<td>
										<xsl:value-of select="@frq" />
									</td>
									<td>
										<xsl:value-of select="@min" />
									</td>
									<td>
										<xsl:value-of select="@max" />
									</td>
									<td>
										<xsl:value-of select="@avg" />
									</td>
									<td>
										<xsl:value-of select="@sum" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
