<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "Variables.dtd">
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:variable name="TAG_VALUES" select="'tagValues'" />
	<xsl:variable name="TAG_VALUES_OUTPUT"><xsl:text>&variables.tagValuesOutput;</xsl:text></xsl:variable>
	<xsl:variable name="SERIAL_TASK" select="'serialTask'" />
	<xsl:variable name="VALIDATE" select="'validate'" />
	<xsl:variable name="VALIDATE_OUTPUT"><xsl:text>&variables.validateOutput;</xsl:text></xsl:variable>
	<xsl:variable name="RETURN_CODE" select="'returnCode'" />
	<xsl:variable name="RETURN_CODE_OUTPUT"><xsl:text>&variables.returnCodeOutput;</xsl:text></xsl:variable>
	<xsl:variable name="ACTIONS_OUTPUT"><xsl:text>&variables.actionsOutput;</xsl:text></xsl:variable>
	<xsl:variable name="START_TIME" select="'startTime'" />
	<xsl:variable name="START_TIME_OUTPUT"><xsl:text>&variables.startTimeOutput;</xsl:text></xsl:variable>
	<xsl:variable name="END_TIME" select="'endTime'" />
	<xsl:variable name="END_TIME_OUTPUT"><xsl:text>&variables.endTimeOutput;</xsl:text></xsl:variable>
	<xsl:variable name="EXECUTION_TIME" select="'executionTime'" />
	<xsl:variable name="EXECUTION_TIME_OUTPUT"><xsl:text>&variables.executionTimeOutput;</xsl:text></xsl:variable>
	<xsl:variable name="HOST_ID" select="'hostId'" />
	<xsl:variable name="HOST_ID_OUTPUT"><xsl:text>&variables.hostIdOutput;</xsl:text></xsl:variable>
	<xsl:variable name="STATUS_OUTPUT"><xsl:text>&variables.statusOutput;</xsl:text></xsl:variable>
	<xsl:variable name="CANCEL_STATUS"><xsl:text>&variables.cancelled;</xsl:text></xsl:variable>
	<xsl:variable name="TRANSPORT" select="'transport'" />
	<xsl:variable name="TRANSPORT_OUTPUT"><xsl:text>&variables.transportOutput;</xsl:text></xsl:variable>
	<xsl:variable name="FORMATTER" select="'formatter'" />
	<xsl:variable name="FORMATTER_OUTPUT"><xsl:text>&variables.formatterOutput;</xsl:text></xsl:variable>
	<xsl:variable name="PREV"><xsl:text>&variables.prev;</xsl:text></xsl:variable>
	<xsl:variable name="NEXT"><xsl:text>&variables.next;</xsl:text></xsl:variable>
	<xsl:variable name="VALIDATION_MESSAGE" select="'validationMessage'" />
	<xsl:variable name="VALIDATION_MESSAGE_OUTPUT"><xsl:text>&variables.validationMessageOutput;</xsl:text></xsl:variable>
	<xsl:variable name="EXECUTION_CANCELLED" select="'executionCancelled'" />
	<xsl:variable name="DISTRIBUTION_TYPE" select="'distributionType'" />
	<xsl:variable name="DISTRIBUTION_TYPE_OUTPUT"><xsl:text>&variables.distributionTypeOutput;</xsl:text></xsl:variable>
	<xsl:variable name="MIN_DELAY" select="'minDelay'" />
	<xsl:variable name="MIN_DELAY_OUTPUT"><xsl:text>&variables.minDelayOutput;</xsl:text></xsl:variable>
	<xsl:variable name="MAX_DELAY" select="'maxDelay'" />
	<xsl:variable name="MAX_DELAY_OUTPUT"><xsl:text>&variables.maxDelayOutput;</xsl:text></xsl:variable>
	<xsl:variable name="DELAY" select="'delay'" />
	<xsl:variable name="DELAY_OUTPUT"><xsl:text>&variables.delayOutput;</xsl:text></xsl:variable>
	<xsl:variable name="EVAL_RESULT" select="'evalResult'" />
	<xsl:variable name="EVAL_RESULT_OUTPUT"><xsl:text>&variables.evalResultOutput;</xsl:text></xsl:variable>
	<xsl:variable name="EXIT_CODE" select="'exitCode'" />
	<xsl:variable name="EXIT_CODE_OUTPUT"><xsl:text>&variables.exitCodeOutput;</xsl:text></xsl:variable>
	<xsl:variable name="STD_OUT" select="'stdout'" />
	<xsl:variable name="STD_OUT_OUTPUT"><xsl:text>&variables.stdOutOuput;</xsl:text></xsl:variable>
	<xsl:variable name="STD_ERR" select="'stderr'" />
	<xsl:variable name="STD_ERR_OUTPUT"><xsl:text>&variables.stdErrOutput;</xsl:text></xsl:variable>
	<xsl:variable name="SELECTED_OPTION" select="'selectedOption'" />
	<xsl:variable name="SELECTED_OPTION_OUTPUT"><xsl:text>&variables.selectedOptionOutput;</xsl:text></xsl:variable>
	<xsl:variable name="USER_RESPONSE" select="'userResponse'" />
	<xsl:variable name="USER_RESPONSE_OUTPUT"><xsl:text>&variables.userResponseOutput;</xsl:text></xsl:variable>
	<xsl:variable name="DISPLAYED_MESSAGE" select="'displayedMessage'" />
	<xsl:variable name="DISPLAYED_MESSAGE_OUTPUT"><xsl:text>&variables.displayedMessageOutput;</xsl:text></xsl:variable>
	<xsl:variable name="TASK" select="'task'" />
	<xsl:variable name="TASK_OUTPUT"><xsl:text>&variables.taskOuput;</xsl:text></xsl:variable>
	<xsl:variable name="RESULT" select="'result'" />
	<xsl:variable name="RESULT_OUTPUT"><xsl:text>&variables.resultOutput;</xsl:text></xsl:variable>
	<xsl:variable name="MESSAGES_PROCESSED" select="'messagesProcessed'" />
	<xsl:variable name="MESSAGES_PROCESSED_OUTPUT"><xsl:text>&variables.messagesProcessedOutput;</xsl:text></xsl:variable>
	<xsl:variable name="MESSAGES_FILTERED" select="'filteredMessageCount'" />
	<xsl:variable name="MESSAGES_FILTERED_OUTPUT"><xsl:text>&variables.messagesFilteredOutput;</xsl:text></xsl:variable>
	<xsl:variable name="ERROR" select="'error'" />
	<xsl:variable name="ERROR_OUTPUT"><xsl:text>&variables.errorOutput;</xsl:text></xsl:variable>
	<xsl:variable name="NAME" select="'name'" />
	<xsl:variable name="NAME_OUTPUT"><xsl:text>&variables.nameOutput;</xsl:text></xsl:variable>
	<xsl:variable name="TYPE" select="'type'" />
	<xsl:variable name="VALUE" select="'value'" />
	<xsl:variable name="VALUE_OUTPUT"><xsl:text>&variables.valueOutput;</xsl:text></xsl:variable>
	<xsl:variable name="META_TYPE" select="'metaType'" />
	<xsl:variable name="NOT_APPLICABLE"><xsl:text>&variables.notApplicable;</xsl:text></xsl:variable>
	<xsl:variable name="BYTE_TYPE_INT">0</xsl:variable>
	<xsl:variable name="BYTE_TYPE_STRING" select="'Byte'" />
	<xsl:variable name="SHORT_TYPE_INT">1</xsl:variable>
	<xsl:variable name="SHORT_TYPE_STRING" select="'Short'" />
	<xsl:variable name="INT_TYPE_INT">2</xsl:variable>
	<xsl:variable name="INT_TYPE_STRING" select="'Integer'" />
	<xsl:variable name="LONG_TYPE_INT">3</xsl:variable>
	<xsl:variable name="LONG_TYPE_STRING" select="'Long'" />
	<xsl:variable name="FLOAT_TYPE_INT">4</xsl:variable>
	<xsl:variable name="FLOAT_TYPE_STRING" select="'Float'" />
	<xsl:variable name="DOUBLE_TYPE_INT">5</xsl:variable>
	<xsl:variable name="DOUBLE_TYPE_STRING" select="'Double'" />
	<xsl:variable name="CHAR_TYPE_INT">6</xsl:variable>
	<xsl:variable name="CHAR_TYPE_STRING" select="'Char'" />
	<xsl:variable name="STRING_TYPE_INT">7</xsl:variable>
	<xsl:variable name="STRING_TYPE_STRING" select="'String'" />
	<xsl:variable name="BOOLEAN_TYPE_INT">8</xsl:variable>
	<xsl:variable name="BOOLEAN_TYPE_STRING" select="'Boolean'" />
	<xsl:variable name="DATE_TYPE_INT">9</xsl:variable>
	<xsl:variable name="DATE_TYPE_STRING" select="'Date'" />
	<xsl:variable name="TIME_TYPE_INT" select="'10'" />
	<xsl:variable name="TIME_TYPE_STRING" select="'Time'" />
	<xsl:variable name="DATETIME_TYPE_INT" select="'11'" />
	<xsl:variable name="DATETIME_TYPE_STRING" select="'Date-Time'" />
	<xsl:variable name="MESSAGE_TYPE_INT" select="'12'" />
	<xsl:variable name="MESSAGE_TYPE_STRING" select="'Message'" />
	<xsl:variable name="OBJECT_TYPE_INT" select="'13'" />
	<xsl:variable name="OBJECT_TYPE_STRING" select="'Object'" />
	<xsl:variable name="BYTEARRAY_TYPE_INT" select="'14'" />
	<xsl:variable name="BYTEARRAY_TYPE_STRING" select="'ByteArray'" />
	<xsl:variable name="XML_TYPE_INT" select="'15'" />
	<xsl:variable name="XML_TYPE_STRING" select="'XML'" />
	<xsl:variable name="YEAR_CHAR">y</xsl:variable>
	<xsl:variable name="MONTH_CHAR">M</xsl:variable>
	<xsl:variable name="DAY_CHAR">d</xsl:variable>
	<xsl:variable name="HOUR_CHAR">H</xsl:variable>
	<xsl:variable name="MINUTE_CHAR">m</xsl:variable>
	<xsl:variable name="SECOND_CHAR">s</xsl:variable>
	<xsl:variable name="MILLI_SECOND_CHAR">S</xsl:variable>
	<xsl:variable name="AM_PM_MARKER_CHAR">a</xsl:variable>
	<xsl:variable name="AM" select="'AM'" />
	<xsl:variable name="PM" select="'PM'" />
	<xsl:variable name="DEFAULT_TIMESTAMP_FORMAT" select="'yyyy/MM/dd HH:mm:ss.SSS'" />
	<xsl:variable name="DEFAULT_TIME_ONLY_FORMAT" select="'HH:mm:ss.SSS'" />
	<xsl:variable name="EXPRESSION" select="'expression'" />
	<xsl:variable name="EXPRESSION_OUTPUT"><xsl:text>&variables.epressionOutput;</xsl:text></xsl:variable>
	<xsl:variable name="ENVIRONMENT_TAGS_OUTPUT"><xsl:text>&variables.environmentTagsOutput;</xsl:text></xsl:variable>
	<xsl:variable name="TAG" select="'tag'" />
	<xsl:variable name="MESSAGE_TAG" select="'#Message'" />
	<xsl:variable name="FAILURE_PATHS">
		<failurePath>
			<displayType>&variables.failuePath;</displayType>
		</failurePath>
		<subscriberFailurePath>
			<displayType executionPath="0">&variables.subscriberFailure;</displayType>
			<displayType executionPath="1">&variables.validationFailure;</displayType>
		</subscriberFailurePath>
		<mapperFailurePath>
			<displayType executionPath="0">&variables.invalidInput;</displayType>
			<displayType executionPath="1">&variables.invalidStylesheet;</displayType>
			<displayType executionPath="2">&variables.processingError;</displayType>
			<displayType executionPath="3">&variables.ConversionError;</displayType>
		</mapperFailurePath>
	</xsl:variable>
	<xsl:variable name="STATUS" select="'iterationStatus'" />
	<xsl:variable name="PASSED" select="'Passed'" />
	<xsl:variable name="PASSED_OUTPUT"><xsl:text>&variables.passedOutput;</xsl:text></xsl:variable>
	<xsl:variable name="FAILED" select="'Failed'" />
	<xsl:variable name="FAILED_OUTPUT"><xsl:text>&variables.failedOutput;</xsl:text></xsl:variable>
	<xsl:variable name="CANCELLED" select="'Cancelled'" />
	<xsl:variable name="CANCELLED_OUTPUT"><xsl:text>&variables.cancelledOutput;</xsl:text></xsl:variable>

</xsl:stylesheet>