<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet SYSTEM "ipprocessworkitem.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!--  Relies on ipcommon.xsl already having been imported. -->

	<!-- externalisations -->
	<xsl:variable name="ipprocessworkitem.label">
		<xsl:text>&ipprocessworkitem.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipprocessworkitem.bodyMessageTitle">
		<xsl:text>&ipprocessworkitem.bodyMessageTitle;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipprocessworkitem.generalReport">
		<xsl:text>&ipprocessworkitem.generalReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipprocessworkitem.modifyTaskSpecificReport">
		<xsl:text>&ipprocessworkitem.modifyTaskSpecificReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipprocessworkitem.data">
		<xsl:text>&ipprocessworkitem.data;</xsl:text>
	</xsl:variable>

	<xsl:template match="processworkitem" mode="label">
		<xsl:value-of select="$ipprocessworkitem.label" />
	</xsl:template>

	<xsl:template match="processworkitem" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="processworkitem">

		<xsl:variable name="bodyMessageTitle">
			<xsl:text>&ipprocessworkitem.bodyMessageTitle;</xsl:text>
		</xsl:variable>

		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
		</table>
		<table width="80%">
			<tbody>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipprocessworkitem.generalReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionGeneralReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipprocessworkitem.modifyTaskSpecificReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionConfigurationReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipprocessworkitem.data" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="reportWorkItemBody" />
					</td>
				</tr>

			</tbody>
		</table>

	</xsl:template>

	<xsl:template name="reportWorkItemBody">
		<div class="a3Message">
			<table>
				<tr>
					<xsl:for-each select="child::a3Message/*[1]">
						<xsl:call-template name="processMessage">
							<xsl:with-param name="msgName">
								<xsl:call-template name="getBodyName" />
							</xsl:with-param>
							<xsl:with-param name="rowClass">
								<xsl:value-of select="string('a3MessageTableHeader')" />
							</xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</tr>
			</table>
		</div>

	</xsl:template>

</xsl:stylesheet>
