<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet SYSTEM "passThrough.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="passThrough.label">
		<xsl:text>&passThrough.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="passThrough.type">
		<xsl:text>&passThrough.type;</xsl:text>
	</xsl:variable>
	<xsl:variable name="passThrough.description">
		<xsl:text>&passThrough.description;</xsl:text>
	</xsl:variable>
	<xsl:variable name="passThrough.error">
		<xsl:text>&passThrough.error;</xsl:text>
	</xsl:variable>

	<xsl:template match="passThrough" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="passThrough" mode="label">
		<xsl:value-of select="$passThrough.label" />
	</xsl:template>

	<xsl:template match="passThrough">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
		</table>
		<table class="faux">
			<tr>
				<xsl:call-template name="reportInfo">
					<xsl:with-param name="name" select="$passThrough.type" />
					<xsl:with-param name="value" select="@passThroughBehaviour" />
				</xsl:call-template>
			</tr>
			<tr>
				<xsl:call-template name="reportInfo">
					<xsl:with-param name="name" select="$passThrough.description" />
					<xsl:with-param name="value" select="@displayText" />
				</xsl:call-template>
			</tr>

			<xsl:if test="@error">
				<tr>
					<xsl:call-template name="reportInfo">
						<xsl:with-param name="name" select="$passThrough.error" />
						<xsl:with-param name="value" select="@error" />
					</xsl:call-template>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>
</xsl:stylesheet>