--
-- Migrate database from schema version 1.9.24.f to 1.9.24.g
--
DROP PROCEDURE IF EXISTS update_gh_schema;

DELIMITER //
CREATE PROCEDURE update_gh_schema()
BEGIN
  DECLARE current_version varchar(100);
  SET @required_version = '1.9.24.f';

  SELECT value INTO current_version FROM db_details WHERE 
         property='schema.version.number' AND 
         ctime = (
            SELECT MAX(ctime) FROM db_details WHERE property='schema.version.number'
         );
  IF @required_version != current_version THEN
     SET @version_error = CONCAT( 'Incorrect schema version: ', current_version,
                                  ' expected: ', @required_version );
     SELECT @version_error;
  ELSE

--
-- The update script
--

ALTER TABLE `execution`
	DROP FOREIGN KEY `execution_rootid_fk`;
  
ALTER TABLE `execution`
  ADD CONSTRAINT `execution_rootid_fk1`
  FOREIGN KEY (`status_id`)
  REFERENCES `status` (`id`)
  ON DELETE CASCADE;
	
	
INSERT INTO db_details VALUES
   ( now(), 'schema.version.number','1.9.24.g');

commit;

  END IF; -- Schema version check
END
//
DELIMITER ;

CALL update_gh_schema();

DROP PROCEDURE update_gh_schema;